members
Find a member by a unique identifier
Looks a member up without knowing its Fluid id. The first supplied identifier wins, in the order email, username, external_id, legacy_customer_id; supply at least one.
GET
/
api
/
v2025-06
/
members
/
find
Find a member by a unique identifier
curl --request GET \
--url https://api.fluid.app/api/v2025-06/members/find \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/v2025-06/members/find"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/v2025-06/members/find', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"member": {
"id": "<string>",
"email": "jsmith@example.com",
"name": "<string>",
"username": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"member_type_slug": "<string>",
"activity_status": "<string>",
"legacy_user_company_id": 123,
"legacy_customer_id": 123,
"phone": "<string>",
"external_id": "<string>",
"dob": "2023-12-25",
"country_code": "<string>",
"language_code": "<string>",
"metadata": {},
"tax_exempt": true,
"sales_tax_id": "<string>",
"email_marketing": true,
"sms_marketing": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The member's email address.
The member's username.
The member's external id, as set by an integration.
The member's legacy bigint customer id.
Response
The matching member detail (admin view).
The member detail (admin view). Key identity and profile fields are enumerated; the admin view also returns additional fields (addresses, payment_methods, sponsor, placement, member_type, rank, points, orders_count, total_spent_in_base, notes).
Show child attributes
Show child attributes
⌘I
Find a member by a unique identifier
